Skip to main content
PUT
/
management
/
webhooks
/
{id}
Update a webhook
curl --request PUT \
  --url https://app.formbricks.com/api/v2/management/webhooks/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "workspaceId": "<string>",
  "triggers": [],
  "surveyIds": [
    "<string>"
  ],
  "environmentId": "<string>"
}
'
import requests

url = "https://app.formbricks.com/api/v2/management/webhooks/{id}"

payload = {
"name": "<string>",
"url": "<string>",
"workspaceId": "<string>",
"triggers": [],
"surveyIds": ["<string>"],
"environmentId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
workspaceId: '<string>',
triggers: [],
surveyIds: ['<string>'],
environmentId: '<string>'
})
};

fetch('https://app.formbricks.com/api/v2/management/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "createdAt": "2021-01-01T00:00:00.000Z",
  "updatedAt": "2021-01-01T00:00:00.000Z",
  "url": "<string>",
  "workspaceId": "<string>",
  "environmentId": "<string>",
  "triggers": [],
  "surveyIds": [
    "<string>"
  ]
}

Authorizations

x-api-key
string
header
required

Use your Formbricks x-api-key to authenticate.

Path Parameters

id
string
required

The ID of the webhook

Body

application/json

The webhook to update

name
string | null
required

The name of the webhook

url
string<uri>
required

The URL of the webhook

source
enum<string>
required

The source of the webhook

Available options:
user,
zapier,
make,
n8n
workspaceId
string
required

The ID of the Workspace

triggers
enum<string>[]
required

The triggers of the webhook

Minimum array length: 1
Available options:
responseFinished,
responseCreated,
responseUpdated
surveyIds
string[]
required

The IDs of the surveys

environmentId
string
deprecated

Deprecated alias for workspaceId.

Response

200 - application/json

Webhook updated successfully.

id
string

The ID of the webhook

name
string | null

The name of the webhook

createdAt
string

The date and time the webhook was created

Example:

"2021-01-01T00:00:00.000Z"

updatedAt
string

The date and time the webhook was last updated

Example:

"2021-01-01T00:00:00.000Z"

url
string<uri>

The URL of the webhook

source
enum<string>

The source of the webhook

Available options:
user,
zapier,
make,
n8n
workspaceId
string

The ID of the Workspace

environmentId
string
deprecated

Deprecated alias for workspaceId.

triggers
enum<string>[]

The triggers of the webhook

Minimum array length: 1
Available options:
responseFinished,
responseCreated,
responseUpdated
surveyIds
string[]

The IDs of the surveys